%This code Just upload the Formating for the figures

%Defining Colors % I use https://imagecolorfinder.com/
%Defining Colors
my_blue_line=[0,0,255]/255;
my_red_line=[255,0,0]/255;
my_black_line=[0,0,0]/255;
my_green_line=[0,128,0]/255;
my_white_line=[255,255,255]/255;


my_blue_marker_line=[0,0,255]/255;
my_red_marker_line=[255,0,0]/255;
my_black_marker_line=[0,0,0]/255;
my_green_marker_line=[0,128,0]/255;


my_blue_marker_fill=[0,255,255]/255;
my_red_marker_fill=[255,153,200]/255;
my_black_marker_fill=[204,204,204]/255;
my_green_marker_fill=[0,128,0]/255;



my_blue_marker_fill_2=[0,191,191]/255;
my_blue_marker_line_2=[0,116,189]/255;
my_black_marker_line_2=[68,68,68]/255;
my_black_marker_fill_2=[212,208,200]/255;


%Genreal Format: 
Format.FontSize_title = 16;
Format.FontSize_s_title = 14;
Format.FontSize_axis = 10.5;
Format.FontSize_legend=8;
Format.widths = {1.5,1.5,1.5};
Format.styles = {'-','-','-'};   
Format.marker = {'s','o','^'};
Format.marker_size = {9,9,9};

Format.colors={my_blue_line,my_red_line,'g'};
Format.fillcolors={my_blue_marker_fill,my_red_marker_fill,'g'};
Format.Edgecolors={my_blue_marker_line,my_red_marker_line,'g'};

%For 1x2 Figures
Format.figsize  = [400 100 800 400];

%For 1x1 Figures
Format.figsize_single  = [400 100 600 400];

%Formating for GDP line
Format.widths_gdp = {1.5};
Format.styles_gdp = {'-.'};   
Format.marker_gdp = {'.'};
Format.colors_gdp={my_black_line};
Format.fillcolors_gdp={my_black_marker_fill};
Format.Edgecolors_gdp={my_black_marker_line};


% Formating for Subaxis - double figures
Format.spaceH=0.15;
Format.spaceV=0.15;
Format.marTop=0.15;
Format.marBot=0.15;
Format.padding=0;
Format.marginR=0.15;
Format.marginL=0.15;

% spaceH=0.07;spaceV=0.08;marTop=0.03;marBot=0.05;
% padding=0;marginR=0.04;marginL=0.07;
% 
% width=6.5;height=10;

% Formating for Subaxis - single figures
Format.spaceH_s=0.15;
Format.spaceV_s=0.15;
Format.marTop_s=0.15;
Format.marBot_s=0.15;
Format.padding_s=0.15;
Format.marginR_s=0.15;
Format.marginL_s=0.15;


%% Density Formating

%For 1x1 Figures
Format.D_figsize  = [150 150 400*4/3 400];
%Format.D_figsize  = [150 150 460 460];

Format.D_figsize_double = [150 150 860 440];


Format.D_position_annotation = [0.6, 0.63, 0.25, 0.25];

Format.D_FontSize_title = 16;
Format.D_FontSize_s_title = 14;
Format.D_FontSize_axis_2=13;
Format.D_FontSize_axis = 17.5;
Format.D_FontSize_axis_long = 15;

Format.D_FontSize_legend=13.5;
Format.D_FontW_legend='bold';
Format.D_widths = {1.5,1.5,1.5,1.5};
Format.D_styles = {'-','--','--','--'};   
Format.D_marker = {'s','none','none','none'};
Format.D_colors={my_blue_line,my_red_line,my_black_line,my_black_line};
Format.D_fillcolors={my_blue_marker_fill,my_red_marker_fill,my_black_marker_fill,my_black_marker_fill};
Format.D_Edgecolors={my_blue_marker_line,my_red_marker_line,my_black_marker_line,my_black_marker_line};


% Formating for Subaxis - single figures
% Format.D_spaceH=0.10;
% Format.D_spaceV=0.10;
% Format.D_marTop=0.05;
% Format.D_marBot=0.10;
% Format.D_padding=0;
% Format.D_marginR=0.10;
% Format.D_marginL=0.10;

% Formating for Subaxis - single figures
Format.D_spaceH=0.10;
Format.D_spaceV=0.10;
Format.D_marTop=0.02;
Format.D_marBot=0.13;
Format.D_padding=0;
Format.D_marginR=0.08;
Format.D_marginL=0.12;

%% Density Level
%For 1x1 Figures
Format.DD_figsize  = [150 150 400*4/3 400];
%Format.D_figsize  = [150 150 460 460];

Format.DD_figsize_double = [150 150 860 440];


Format.DD_position_annotation = [0.6, 0.63, 0.25, 0.25];

Format.DD_FontSize_title = 16;
Format.DD_FontSize_s_title = 14;
Format.DD_FontSize_axis_2=13;
Format.DD_FontSize_axis = 15;
Format.DD_FontSize_legend=13.5;
Format.DD_FontW_legend='bold';
Format.DD_widths = {1.5,1.5,1.5,1.5,1.5,1.5};
Format.DD_styles = {'-','--','none','none','none','none'};   
Format.DD_marker = {'s','none','none','none','none','none'};
Format.DD_colors={my_blue_line,my_red_line,my_white_line,my_white_line,my_white_line,my_white_line};
Format.DD_fillcolors={my_blue_marker_fill,my_red_marker_fill,my_white_line,my_white_line,my_white_line,my_white_line};
Format.DD_Edgecolors={my_blue_marker_line,my_red_marker_line,my_white_line,my_white_line,my_white_line,my_white_line};
Format.DD_Text_colors={my_blue_line,my_red_line,my_white_line,my_white_line,my_white_line,my_white_line};


% Formating for Subaxis - single figures
Format.DD_spaceH=0.10;
Format.DD_spaceV=0.10;
Format.DD_marTop=0.02;
Format.DD_marBot=0.13;
Format.DD_padding=0;
Format.DD_marginR=0.08;
Format.DD_marginL=0.12;



%% Heterogeneity Formating
%For 1x1 Figures
Format.P_figsize  = [150 150 400*4/3 400];
%Format.P_figsize  = [150 150 460 460];

Format.P_figsize_double = [150 150 860 440];


Format.P_position_annotation = [0.6, 0.63, 0.25, 0.25];

Format.P_FontSize_title = 16;
Format.P_FontSize_s_title = 14;
% Format.P_FontSize_axis_2=11.5;
% Format.P_FontSize_axis = 11.5;
% Format.P_FontSize_legend=12;
 Format.P_FontSize_axis_2=15;
 Format.P_FontSize_axis_2_long=12.7;

 Format.P_FontSize_axis = 17.5;
 Format.P_FontSize_axis_long_2 = 16;
 Format.P_FontSize_axis_long = 12;

 Format.P_FontSize_legend=17;


Format.P_FontW_legend='bold';
Format.P_widths = {2.5,2.5,2.3,2.5};
Format.P_marker_size = {1.8,1.8,2,1.8};
Format.P_styles_2 = {'-','--','-.','-'};   
Format.P_marker = {'none','none','none','none'};
Format.P_colors_2={my_red_line,my_blue_line,my_green_line,my_black_line};
Format.P_fillcolors_2={my_red_marker_fill,my_blue_marker_fill,my_green_marker_fill,my_black_marker_fill};
Format.P_Edgecolors_2={my_red_marker_line,my_blue_marker_line,my_green_marker_line,my_black_marker_line};

Format.P_colors={my_blue_line,my_red_line,my_green_line,my_black_line};
Format.P_fillcolors={my_blue_marker_fill,my_red_marker_fill,my_green_marker_fill,my_black_marker_fill};
Format.P_Edgecolors={my_blue_marker_line,my_red_marker_line,my_green_marker_line,my_black_marker_line};
Format.P_styles = {'--','-','-.','-'};   



% Formating for Subaxis - single figures
Format.P_spaceH=0.10;
Format.P_spaceV=0.10;
Format.P_marTop=0.02;
Format.P_marBot=0.13;
Format.P_padding=0;
Format.P_marginR=0.08;
Format.P_marginL=0.12;
Format.P_marginR_2=0.05;
Format.P_marginL_2=0.14;

%% Formating Luigi Part
%For 1x1 Figures
Format.L_figsize  = [150 150 400*4/3 400];
%Format.P_figsize  = [150 150 460 460];

Format.L_figsize_double = [150 150 860 440];


Format.L_position_annotation = [0.6, 0.63, 0.25, 0.25];

Format.L_FontSize_title = 16;
Format.L_FontSize_s_title = 14;
% Format.P_FontSize_axis_2=11.5;
% Format.P_FontSize_axis = 11.5;
% Format.P_FontSize_legend=12;
 Format.L_FontSize_axis_2=14;
 Format.L_FontSize_axis = 17.5;
 Format.L_FontSize_legend=18;


Format.L_FontW_legend='bold';
Format.L_widths = {1.8,1.8,1.8,2};
Format.L_marker_size = {8.5,8,8,8};
Format.L_styles = {'-','--','-.','-'};   
Format.L_marker = {'s','o','none','none'};
Format.L_colors={my_blue_line,my_black_line,my_red_line,my_green_line};

%Format.L_fillcolors={my_red_marker_fill,my_blue_marker_fill,my_green_marker_fill,my_black_marker_fill};
%Format.L_Edgecolors={my_red_marker_line,my_blue_marker_line,my_green_marker_line,my_black_marker_line};
Format.L_fillcolors={my_blue_marker_fill_2,my_black_marker_fill_2,my_red_marker_fill,my_green_marker_fill};
Format.L_Edgecolors={my_blue_marker_line_2,my_black_marker_line_2,my_red_marker_line,my_green_marker_line};


% Formating for Subaxis - single figures
Format.L_spaceH=0.10;
Format.L_spaceV=0.10;
Format.L_marTop=0.02;
Format.L_marBot=0.13;
Format.L_padding=0;
Format.L_marginR=0.08;
Format.L_marginL=0.12;

%% Formating Luigi Part
%For 1x1 Figures
Format.L2_figsize  = [150 150 400*4/3 400];
%Format.P_figsize  = [150 150 460 460];

Format.L2_figsize_double = [150 150 860 440];


Format.L2_position_annotation = [0.6, 0.63, 0.25, 0.25];


Format.L2_FontSize_title = 16;
Format.L2_FontSize_s_title = 14;
% Format.P_FontSize_axis_2=11.5;
% Format.P_FontSize_axis = 11.5;
% Format.P_FontSize_legend=12;
 Format.L2_FontSize_axis_2=15;
 Format.L2_FontSize_axis = 17.5;
 Format.L2_FontSize_legend=17;


Format.L2_FontW_legend='bold';
Format.L2_widths = {1.5,1.5,1.3,1.5};
Format.L2_marker_size = {9,9,9,9};
Format.L2_styles = {'-','-','-.','-'};   
Format.L2_marker = {'s','o','^','none'};
Format.L2_colors={ my_blue_line,my_red_line,my_green_line,my_black_line};
Format.L2_fillcolors={my_blue_marker_fill,my_red_marker_fill,my_green_marker_fill,my_black_marker_fill};
Format.L2_Edgecolors={my_blue_marker_line,my_red_marker_line,my_green_marker_line,my_black_marker_line};


% Formating for Subaxis - single figures
Format.L2_spaceH=0.10;
Format.L2_spaceV=0.10;
Format.L2_marTop=0.02;
Format.L2_marBot=0.13;
Format.L2_padding=0;
Format.L2_marginR=0.1;
Format.L2_marginL=0.1;

%% Formating Luigi Part
%For 1x1 Figures
Format.L3_figsize  = [150 150 800 600];
%Format.P_figsize  = [150 150 460 460];

Format.L3_figsize_double = [150 150 860 440];


Format.L3_position_annotation = [0.6, 0.63, 0.25, 0.25];


Format.L3_FontSize_title = 16;
Format.L3_FontSize_s_title = 14;
% Format.P_FontSize_axis_2=11.5;
% Format.P_FontSize_axis = 11.5;
% Format.P_FontSize_legend=12;
 Format.L3_FontSize_axis_2=14.7;
 Format.L3_FontSize_axis = 15.5;
 Format.L3_FontSize_legend=17;


my_blue_marker_fill_fig2=[0 114 189]/255;
my_blue_marker_line_fig2=[0 85 206]/255;


my_black_marker_fill_fig2=[128 128 128]/255;
my_black_marker_line_fig2=[128 128 128]/255;


Format.L3_FontW_legend='bold';
Format.L3_widths = {1.5,1.5,1.3,1.5};
Format.L3_marker_size = {9,9,9,9};
Format.L3_styles = {'-','-','-.','-'};   
Format.L3_marker = {'s','o','^','none'};
Format.L3_colors={ my_blue_line,my_red_line,my_green_line,my_black_line};
Format.L3_fillcolors={my_blue_marker_fill_fig2,my_black_marker_fill_fig2,my_red_line};
Format.L3_Edgecolors={my_blue_marker_line_fig2,my_black_marker_line_fig2,my_red_line};


% Formating for Subaxis - single figures
Format.L3_spaceH=0.10;
Format.L3_spaceV=0.10;
Format.L3_marTop=0.02;
Format.L3_marBot=0.05;
Format.L3_padding=0;
Format.L3_marginR=0.01;
Format.L3_marginL=0.07;


% Formating Figure 3
Format.L4_my_red_line=[171,103,107]/255;
Format.L4_my_red_cicle=[255,0,0]/255;
Format.L4_my_blue_words=[36,84,124]/255;
Format.L4_my_blue_squared=[0,0,255]/255;

Format.L4_figsize= [150 150 800*9/8 450];
Format.L4_spaceH=0.07;
Format.L4_spaceV=0.07;
Format.L4_marTop=0.08;
Format.L4_marBot=0.11;
Format.L4_padding=0;
Format.L4_marginR=0.05;
Format.L4_marginL=0.05;
Format.L4_linewith=1.5;
Format.L4_text_font_size=10;
Format.L4_FontSize_axis_long=12;
Format.L4_FontSize_axis_long_2=12.5;

