function y= save_results_excel(title_coef,title_sd,title_t_stat,Sheet_name,save_name,DATA)

%Export Coef
range_coef_title=['B3:N3'];
writematrix(title_coef, save_name,'Sheet',Sheet_name,'Range',range_coef_title);
range_coef=['B4:N6'];
writetable(DATA.coef, save_name,'Sheet',Sheet_name,'Range',range_coef);

%Export Standard Errors
range_sd_title=['B8:N8'];
writematrix(title_sd, save_name,'Sheet',Sheet_name,'Range',range_sd_title);
range_sd=['B9:N11'];
writetable(DATA.sd, save_name,'Sheet',Sheet_name,'Range',range_sd);

%Export t-stat
range_t_stat_title=['B13:N13'];
writematrix(title_t_stat, save_name,'Sheet',Sheet_name,'Range',range_t_stat_title);
range_t_stat=['B14:N16'];
writetable(DATA.t_stat, save_name,'Sheet',Sheet_name,'Range',range_t_stat);

%Export N, sample size
range_sample_size_title=['B18:N18'];
writematrix('Sample Size', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B19:N21'];
writetable(DATA.N, save_name,'Sheet',Sheet_name,'Range',range_sample_size);

%Export t_init, sample size
range_sample_size_title=['B23:N23'];
writematrix('T_init', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B24:N26'];
writetable(DATA.t_init, save_name,'Sheet',Sheet_name,'Range',range_sample_size);

%Export t_end, sample size
range_sample_size_title=['B28:N28'];
writematrix('T_end', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B29:N31'];
writetable(DATA.t_end, save_name,'Sheet',Sheet_name,'Range',range_sample_size);

%Export mean_gdp
range_sample_size_title=['B34:N34'];
writematrix('Mean GDP', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B35:N37'];
writetable(DATA.mean_gdp, save_name,'Sheet',Sheet_name,'Range',range_sample_size);

%Export std_gdp
range_sample_size_title=['B39:N39'];
writematrix('Std GDP', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B40:N42'];
writetable(DATA.std_gdp, save_name,'Sheet',Sheet_name,'Range',range_sample_size);

%Export R2
range_sample_size_title=['B49:N49'];
writematrix('R2', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B50:N52'];
writetable(DATA.R2_ord, save_name,'Sheet',Sheet_name,'Range',range_sample_size);

%Export Adj R2
range_sample_size_title=['B54:N54'];
writematrix('Adj. R2', save_name,'Sheet',Sheet_name,'Range',range_sample_size_title);
range_sample_size=['B55:N57'];
writetable(DATA.R2_adj, save_name,'Sheet',Sheet_name,'Range',range_sample_size);



% Write Gender
gender={'Gender';'Male';'Female'};
range_gender_1=['A4'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A9'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A14'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A19'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A24'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A29'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A35'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A40'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A50'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A55'];
writecell(gender, save_name,'Sheet',Sheet_name,'Range',range_gender_1);




space={'xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx','xxxxxx'};
range_gender_1=['A33'];
writecell(space, save_name,'Sheet',Sheet_name,'Range',range_gender_1);
range_gender_1=['A47'];
writecell(space, save_name,'Sheet',Sheet_name,'Range',range_gender_1);



end